Subject: Re: Issue 60: LOCK_REFRESH_BODY

From: Jason Crawford <[email-masked]>
Date: Mon, 31 May 2004 12:17:36 -0400

> > the issue...:
> >
> > "Section 7.8 of RFC 2518 indicates that clients may submit a lock
> > refresh without a body. However, it implies that clients could submit 
a
> > lock refresh with a body. Server implementations have been disallowing 
a
> > lock refresh with a body. It might make sense to codify this practice,
> > and disallow submission of a body on a lock refresh.
> >
> > Raised by Rickard Falk:
> > 
http://lists.w3.org/Archives/Public/w3c-dist-auth/2000JulSep/0039.html"
> >
> > I'd like to confirm that we agree on
> >
> > - a LOCK creation request MUST have a request body and MUST NOT have a
> > Lock-Token request header
> >
> > - a LOCK refresh request MUST NOT have a request body and MUST have a
> > Lock-Token request header
> 
> As nobody spoke up, I'll conclude that this is indeed the case. Jason,
> could you please update the issues list accordingly?

Julian seem to support this.  I'll offer a weak vote of support.  Let's 
hear one more voice.

J.

---

From: Lisa Dusseault <[email-masked]>
Date: Mon, 31 May 2004 09:21:55 -0700

On May 31, 2004, at 9:17 AM, Jason Crawford wrote:

> Julian seem to support this.  I'll offer a weak vote of support. 
>  Let's hear one more voice.
>
> J.
Agreed.

- Lisa